## ide-gtk ide-gtk |

## Functions

void | (*IdeWidgetContextHandler) ()
void | ide_widget_set_context_handler ()
IdeContext * | ide_widget_get_context ()
IdeWorkbench * | ide_widget_get_workbench ()
void | ide_widget_message ()
void | ide_widget_warning ()
gboolean | ide_gtk_show_uri_on_window ()

## Description

## Functions

### IdeWidgetContextHandler ()

    void
    (*IdeWidgetContextHandler) (GtkWidget *widget,
                                IdeContext *context);

### ide_widget_set_context_handler ()

    void
    ide_widget_set_context_handler (gpointer widget,
                                    IdeWidgetContextHandler handler);

Calls `handler` when the IdeContext has been set for `widget` .

#### Parameters

widget | a GtkWidget. | [type Gtk.Widget]
handler | A callback to handle the context. | [scope async]

### ide_widget_get_context ()

    IdeContext *
    ide_widget_get_context (GtkWidget *widget);

[skip]

#### Returns

An IdeContext or `NULL`.

[nullable][transfer none]

### ide_widget_get_workbench ()

    IdeWorkbench *
    ide_widget_get_workbench (GtkWidget *widget);

Gets the workbench `widget` is associated with, if any.

If no workbench is associated, NULL is returned.

#### Returns

An IdeWorkbench.

[transfer none][nullable]

### ide_widget_message ()

    void
    ide_widget_message (gpointer instance,
                        const gchar *format,
                        ...);

### ide_widget_warning ()

    void
    ide_widget_warning (gpointer instance,
                        const gchar *format,
                        ...);

### ide_gtk_show_uri_on_window ()

    gboolean
    ide_gtk_show_uri_on_window (GtkWindow *window,
                                const gchar *uri,
                                guint32 timestamp,
                                GError **error);

## Types and Values